package com.yiboshi.science.dao;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.SystemRole;
import com.yiboshi.science.param.dto.SystemRoleDTO;
import com.yiboshi.science.param.query.SystemRoleQueryVO;

/**
 * 系统角色表 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface SystemRoleDAO extends BaseMapper<SystemRole>, BaseDAO<SystemRoleQueryVO, SystemRoleDTO,SystemRole> {
   Integer getMaxRoleId();
}