package com.yiboshi.science.param.dto;

import com.yiboshi.science.base.BaseDTO;

import lombok.Data;

import java.util.List;


@Data
public class ProjectKPIStatisticDTO extends BaseDTO {

    private Integer totalRowSpan; //总合并行数
    private Integer outTarget; //一级指标(产出指标)
    private Integer benefitTarget; //一级指标(效益指标)
    private Integer satisfactionDegree; //一级指标(满意度指标)
    private Integer quantityTarget; //二级指标(数量指标)
    private Integer qualityTarget; //二级指标(质量指标)
    private Integer validityTarget; //二级指标(时效指标)
    private Integer costTarget; //二级指标(成本指标)
    private Integer economicTarget; //二级指标(经济效益指标)
    private Integer socialTarget; //二级指标(社会效益指标)
    private Integer ecologicalTarget; //二级指标(生态效益指标)
    private Integer sustainableTarget; //二级指标(可持续影响指标)
    private Integer serviceTarget; //二级指标(服务对象满意度指标)
    private List<ComProjectKpitDTO> threeLevel;


}
