package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComFile;
import com.yiboshi.science.param.dto.ComFileDTO;
import com.yiboshi.science.param.query.ComFileQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComFileService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：附件目录表 接口
 * @author lkl
 * @version 2021-08-26
 */
@Api(tags = "com-project-file",description = "附件目录表")
@RestController
@RequestMapping("/v1/science-admin/com-project-file")
public class ComFileController extends BaseController<ComFileService,  ComFileQueryVO, ComFileDTO, ComFile> {

}