package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComProjectResults;
import com.yiboshi.science.param.dto.ComProjectResultsDTO;
import com.yiboshi.science.param.query.ComProjectResultsQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComProjectResultsService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：预期成果 接口
 * @author lkl
 * @version 2021-08-26
 */
@Api(tags = "com-project-results",description = "预期成果")
@RestController
@RequestMapping("/v1/science-admin/com-project-results")
public class ComProjectResultsController extends BaseController<ComProjectResultsService,ComProjectResultsQueryVO, ComProjectResultsDTO, ComProjectResults> {


}