package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComSendingRecord;
import com.yiboshi.science.param.dto.ComSendingRecordDTO;
import com.yiboshi.science.param.query.ComSendingRecordQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComSendingRecordService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：信息发送记录表 接口
 * @author lkl
 * @version 2021-08-26
 */
@Api(tags = "com-sending-record",description = "信息发送记录表")
@RestController
@RequestMapping("/v1/science-admin/com-sending-record")
public class ComSendingRecordController extends BaseController<ComSendingRecordService, ComSendingRecordQueryVO, ComSendingRecordDTO, ComSendingRecord> {

}