package com.yiboshi.science.service;

import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComNotice;
import com.yiboshi.science.param.dto.ComNoticeDTO;
import com.yiboshi.science.param.dto.ComProjectConclusionDTO;
import com.yiboshi.science.param.query.ComNoticeQueryVO;

import java.util.List;

/**
 * 通知公告表 Service
 *
 * @author lkl
 * @version 2021-08-26
 */
public interface ComNoticeService extends BaseService<ComNoticeQueryVO, ComNoticeDTO, ComNotice> {

    /**
     * 保存通知发布信息
     *
     * @param comNoticeDTO
     * @return
     */
    String save(ComNoticeDTO comNoticeDTO);
    /**
     * 获取最新通知
     *
     * @param
     * @return
     */
    ComNoticeDTO getLatestNotice();
}