/* Copyright (c) 2018, yiboshi.com All Rights Reserved. */
package com.yiboshi.science.base;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;


/**
 * DAO接口基类
 *
 * @author NEGI
 * @version 2018-08
 */
@SuppressWarnings("all")
public interface BaseDAO<V extends PaginationVO,D extends BaseDTO ,E>{
    Page<D> getListByPage(Page<V> page, @Param("ew") Wrapper<V> queryWrapper);
}
