package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.AssignCount;
import com.yiboshi.science.entity.ComExpertGroupAssign;
import com.yiboshi.science.param.dto.ComExpertGroupAssignDTO;
import com.yiboshi.science.param.query.ComExpertGroupAssignQueryVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface ComExpertGroupAssignDAO extends BaseMapper<ComExpertGroupAssign>, BaseDAO<ComExpertGroupAssignQueryVO, ComExpertGroupAssignDTO,ComExpertGroupAssign> {
    List<AssignCount> getAssignCount(String groupId);
}
