package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComManager;
import com.yiboshi.science.param.dto.ComManagerDTO;
import com.yiboshi.science.param.dto.ComPersonDTO;
import com.yiboshi.science.param.query.ComManagerQueryVO;

/**
 * 单位管理员表 DAO
 * 
 * @author lkl
 * @version 2021-08-25
 */
public interface ComManagerDAO extends BaseMapper<ComManager>, BaseDAO<ComManagerQueryVO, ComManagerDTO, ComManager> {
    ComManagerDTO getManagerById(String id);

    ComManagerDTO getManagerByCertId(String certId);
}