package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComProjectAuditNote;
import com.yiboshi.science.param.dto.ComProjectAuditNoteDTO;
import com.yiboshi.science.param.query.ComProjectAuditNoteQueryVO;

import java.util.List;

/**
 * 审核表 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComProjectAuditNoteDAO extends BaseMapper<ComProjectAuditNote>, BaseDAO<ComProjectAuditNoteQueryVO,ComProjectAuditNoteDTO, ComProjectAuditNote> {
    List<ComProjectAuditNoteDTO> getListByObjectId(String objectId);
}