package com.yiboshi.science.dao;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComYear;
import com.yiboshi.science.param.dto.ComYearDTO;
import com.yiboshi.science.param.query.ComYearQueryVO;
import org.apache.ibatis.annotations.Param;

/**
 * 年度设置表 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComYearDAO extends BaseMapper<ComYear>, BaseDAO<ComYearQueryVO, ComYearDTO,ComYear> {

    Integer getMaxYearByType(@Param(value="yearType") int yearType);
}