package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComConclusionCatalog;
import com.yiboshi.science.param.dto.ComConclusionCatalogDTO;
import com.yiboshi.science.param.query.ComConclusionCatalogQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComConclusionCatalogService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：验收材料目录表 接口
 * @author lkl
 * @version 2021-08-26
 */
@Api(tags = "com-conclusion-thesis ",description = "验收材料目录表")
@RestController
@RequestMapping("/v1/science-admin/com-conclusion-thesis ")
public class ComConclusionCatalogController extends BaseController<ComConclusionCatalogService, ComConclusionCatalogQueryVO, ComConclusionCatalogDTO, ComConclusionCatalog> {

}